--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: Discovery
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: create_manager
- !ruby/object:RI::MethodSummary 
  name: current
- !ruby/object:RI::MethodSummary 
  name: destroy_manager
- !ruby/object:RI::MethodSummary 
  name: discover
- !ruby/object:RI::MethodSummary 
  name: finish
- !ruby/object:RI::MethodSummary 
  name: get_manager
- !ruby/object:RI::MethodSummary 
  name: next_service
- !ruby/object:RI::MethodSummary 
  name: store_manager
name: Discovery
superclass: Object
